package com.fastest.pass.home.presentation.viewmodel

import androidx.lifecycle.ViewModel
import com.fastest.pass.home.utils.HomeNavigationRoute
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.MutableStateFlow

class HomeViewModel : ViewModel() {

    private val _router = MutableStateFlow<HomeNavigationRoute>(HomeNavigationRoute.NoneScreen)
    val router: MutableStateFlow<HomeNavigationRoute> = _router

    fun navigateTo(splashRoute: HomeNavigationRoute) {
        _router.value = splashRoute
    }

}